<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpFrame: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-widgets.html" title="Part I. GIMP Widgets">
<link rel="prev" href="GimpFileEntry.html" title="GimpFileEntry">
<link rel="next" href="libgimpwidgets-GimpHintBox.html" title="GimpHintBox">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpFrame.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpFrame.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpFrame.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_style_properties">  <span class="dim">|</span> 
                  <a href="#GimpFrame.style-properties" class="shortcut">Style Properties</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-widgets.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpFileEntry.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="libgimpwidgets-GimpHintBox.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpFrame"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpFrame.top_of_page"></a>GimpFrame</span></h2>
<p>GimpFrame — A widget providing a HIG-compliant subclass
                    of <a href="../gtk2/GtkFrame.html#GtkFrame-struct"><span class="type">GtkFrame</span></a>.</p>
</td>
<td class="gallery_image" valign="top" align="right"><img src="gimp-widget-frame.png"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpFrame.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody><tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpFrame.html#gimp-frame-new" title="gimp_frame_new ()">gimp_frame_new</a> <span class="c_punctuation">()</span>
</td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpFrame.style-properties"></a><h2>Style Properties</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="style_properties_type">
<col width="300px" class="style_properties_name">
<col width="200px" class="style_properties_flags">
</colgroup>
<tbody>
<tr>
<td class="property_type"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="GimpFrame.html#GimpFrame--s-label-bold" title="The “label-bold” style property">label-bold</a></td>
<td class="property_flags">Read</td>
</tr>
<tr>
<td class="property_type"><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="GimpFrame.html#GimpFrame--s-label-spacing" title="The “label-spacing” style property">label-spacing</a></td>
<td class="property_flags">Read</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpFrame.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpFrame.html#GimpFrame-struct" title="GimpFrame">GimpFrame</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpFrame.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkContainer.html#GtkContainer-struct">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkBin.html#GtkBin-struct">GtkBin</a>
                        <span class="lineart">╰──</span> <a href="../gtk2/GtkFrame.html#GtkFrame-struct">GtkFrame</a>
                            <span class="lineart">╰──</span> GimpFrame
</pre>
</div>
<div class="refsect1">
<a name="GimpFrame.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpFrame implements
 AtkImplementor and  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpFrame.description"></a><h2>Description</h2>
<p>A widget providing a HIG-compliant subclass of <a href="../gtk2/GtkFrame.html#GtkFrame-struct"><span class="type">GtkFrame</span></a>.</p>
</div>
<div class="refsect1">
<a name="GimpFrame.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-frame-new"></a><h3>gimp_frame_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_frame_new (<em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *label</code></em>);</pre>
<p>Creates a <a class="link" href="GimpFrame.html" title="GimpFrame"><span class="type">GimpFrame</span></a> widget. A <a class="link" href="GimpFrame.html" title="GimpFrame"><span class="type">GimpFrame</span></a> is a HIG-compliant
variant of <a href="../gtk2/GtkFrame.html#GtkFrame-struct"><span class="type">GtkFrame</span></a>. It doesn't render a frame at all but
otherwise behaves like a frame. The frame's title is rendered in
bold and the frame content is indented four spaces as suggested by
the GNOME HIG (see https://developer.gnome.org/hig/stable/).</p>
<div class="refsect3">
<a name="gimp-frame-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>label</p></td>
<td class="parameter_description"><p>text to set as the frame's title label (or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> for no title)</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-frame-new.returns"></a><h4>Returns</h4>
<p> a new <a class="link" href="GimpFrame.html" title="GimpFrame"><span class="type">GimpFrame</span></a> widget</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-2.html#api-index-2.2">2.2</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpFrame.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpFrame-struct"></a><h3>GimpFrame</h3>
<pre class="programlisting">typedef struct _GimpFrame GimpFrame;</pre>
</div>
</div>
<div class="refsect1">
<a name="GimpFrame.style-property-details"></a><h2>Style Property Details</h2>
<div class="refsect2">
<a name="GimpFrame--s-label-bold"></a><h3>The <code class="literal">“label-bold”</code> style property</h3>
<pre class="programlisting">  “label-bold”               <a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>Whether the frame's label should be bold.</p>
<p>Flags: Read</p>
<p>Default value: TRUE</p>
</div>
<hr>
<div class="refsect2">
<a name="GimpFrame--s-label-spacing"></a><h3>The <code class="literal">“label-spacing”</code> style property</h3>
<pre class="programlisting">  “label-spacing”            <a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>The spacing between the label and the frame content.</p>
<p>Flags: Read</p>
<p>Allowed values: &gt;= 0</p>
<p>Default value: 6</p>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>